from uctc.framework import autodiff
import numpy as np
from functools import reduce
import random

lst = [autodiff.test_central_difference, autodiff.test_addscalar, autodiff.test_mulscalar, autodiff.test_logscalar, autodiff.test_invscalar, autodiff.test_sigmoidscalar]
for e in lst:
    if e():
        print(f"\033[1;34mPassed: {e.__name__} passed all tests\033[0m")
    else:
        print(f"\033[1;31mError: {e.__name__} failed test... expects true but gets false\033[0m")
        exit(0)



print(f"\033[1;32m[PASSED] Task 3 finished!\033[0m")